<?php
include_once '../Logic/session_start.php';
include_once '../Logic/config.php';

// 检查用户是否是管理员，如果不是则重定向到主页面
if (!isset($_SESSION['user_type'])) {
    header("Location: http://localhost/zhushou/Presentation/LoginPage.php");
    exit;
}
?>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Page</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
</head>
<body class="bg-gray-100">
<div class="flex h-screen">
    <!-- 侧边栏 -->
    <div class="w-64 bg-gray-800 text-white">
        <div class="px-5 py-10">Welcome! Dear admin!</div>
        <ul class="space-y-2">
            <li><a href="#" data-src="uni_manage.php" class="block px-5 py-3 hover:bg-gray-700">Manage uni Map</a></li>
            <li><a href="#" data-src="user_manage.php" class="block px-5 py-3 hover:bg-gray-700">Manage user detail</a></li>
            <li><a href="#" data-src="brs_manage.php" class="block px-5 py-3 hover:bg-gray-700">Manage Bristol Map</a></li>
            <li><a href="#" data-src="QA_manage.php" class="block px-5 py-3 hover:bg-gray-700">Question and answer management</a></li>
            <li><a href="#" data-src="fb_manage.php" class="block px-5 py-3 hover:bg-gray-700">Feedback management</a></li>
            <li><a href="#" data-src="bus_manage.php" class="block px-5 py-3 hover:bg-gray-700">Bus line management</a></li>
            <li><a href="#" data-src="chat_history_manage.php" class="block px-5 py-3 hover:bg-gray-700">Chat History management</a></li>
        </ul>
    </div>
    <!-- 主内容区 -->
    <div class="flex-1 items-center justify-center">
        <iframe id="mainContent" class="w-full h-full overflow-auto" src="about:blank"></iframe>
    </div>
</div>

<div class="fixed bottom-0 left-0 p-4">
    <a href="http://localhost/zhushou/Presentation/interface.php" id="return-home-btn" class="inline-block bg-black p-4 rounded-md">
        <i class="fas fa-arrow-left text-white text-xl"></i>
    </a>
</div>

<script>
    document.querySelectorAll('a').forEach(link => {
        link.addEventListener('click', function(event) {
            if (this.hasAttribute('data-src')) {
                event.preventDefault();
                document.getElementById('mainContent').src = this.getAttribute('data-src');
            }
        });
    });
</script>
</body>
</html>


