<?php
include_once '../Logic/config.php';
// 准备SQL查询
$stmt = DB->prepare("SELECT * FROM feedback");
$stmt->execute();
$feedbacks = $stmt->fetchAll(PDO::FETCH_ASSOC);

function deleteFeedback($id)
{
    $sql = "DELETE FROM feedback WHERE id = ?";
    $stmt = DB->prepare($sql);
    return $stmt->execute([$id]);
}


if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    // 处理表单提交的数据
    if ($_POST["formType"] == "delFeedbackForm") {
        $id = $_POST['id'];

        deleteFeedback($id);
        echo "<script>window.location.href ='../Admin/fb_manage.php';</script>";
    }

}
?>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Uni-building Management</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
</head>
<body class="bg-gray-100">
<div class="container mx-auto p-4">
    <table class="min-w-full max-w-4xl mx-auto border-collapse">
        <thead class="bg-gray-800 text-white">
        <tr class="border-b">
            <th class="px-4 py-2 text-left rounded-tl-lg">Student ID</th>
            <th class="px-4 py-2 text-left">Feedback</th>
            <th class="px-4 py-2 text-left rounded-tr-lg">Operations</th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($feedbacks as $feedback) { ?>
            <tr class="border-b">
                <td class="px-4 py-2"><?php echo htmlspecialchars($feedback['student_id']) ?></td>
                <td class="px-4 py-2"><?php echo htmlspecialchars($feedback['feedback']) ?></td>
                <td class="px-4 py-2 text-center">
                    <!-- 删除按钮 -->
                    <form action="../Admin/fb_manage.php" method="post">
                        <input type="hidden" name="id"
                               value="<?php echo htmlspecialchars($feedback['id']) ?>">
                        <input type="hidden" name="formType" value="delFeedbackForm">
                        <button type="submit" class="text-red-500 hover:text-red-700 mx-2">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </form>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
</div>

<!-- 弹出框，初始时隐藏 -->
<div id="modal"
     class="hidden fixed inset-0 bg-gray-600 bg-opacity-50 overflow-y-auto h-full w-full flex items-center justify-center">
    <div class="bg-white p-10 rounded-lg shadow-lg max-w-2xl w-full mx-auto" id="modal-content">
        <!-- 弹出框内容 -->
    </div>
</div>

<div class="fixed bottom-0 right-0 p-4">
    <button onclick="window.location.reload()"
            class="px-4 py-2 bg-gray-800 text-white rounded-md shadow-md hover:bg-gray-900 focus:outline-none focus:ring-2 focus:ring-blue-500 focus:ring-opacity-50">
        <i class="fas fa-sync-alt mr-2"></i>
    </button>
</div>
</body>
</html>


