function fetchOnlineUsers() {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', 'http://localhost/zhushou/Logic/get_online_users.php', true);
    xhr.onload = function () {
        console.log(this.responseText); // 查看服务器响应的内容
        if (this.status == 200) {
            try {
                var users = JSON.parse(this.responseText);
                var usersList = document.getElementById('online-users-list');
                usersList.innerHTML = ''; // 清空当前列表

                // 添加在线用户到列表中
                users.forEach(function (user) {
                    var li = document.createElement('li');
                    var userImage = document.createElement('img');
                    userImage.src = "../Logic/getimage.php?userId=" + encodeURIComponent(user.id);
                    userImage.alt = "User Avatar";
                    userImage.style.width = '50px'; // 设置头像大小
                    userImage.style.height = '50px';
                    userImage.style.borderRadius = '50%'; // 头像为圆形
                    userImage.style.marginRight = '10px';

                    var userName = document.createElement('span');
                    userName.textContent = user.user_Name;

                    li.appendChild(userImage);
                    li.appendChild(userName);
                    usersList.appendChild(li);
                });
            } catch (e) {
                console.error("Parsing error:", e);
            }
        }
    };
    xhr.send();
}

// ——————————————————————————————————————————————————————————————————————————————————————————————————————————————————————————————
// 获取消息函数
function fetchMessages() {
    var xhr = new XMLHttpRequest();
    xhr.open('GET', 'http://localhost/zhushou/Logic/get_message.php', true);
    xhr.onload = function () {
        if (this.status == 200) {
            var messages = JSON.parse(this.responseText);
            var chatBox = document.getElementById('chat-box');
            chatBox.innerHTML = ''; // 清空当前聊天框

            messages.forEach(function(message) {
                var messageDiv = document.createElement('div');

                var senderSpan = document.createElement('span');
                senderSpan.textContent = message.user_Name + ': '; // 使用实际的字段名
                senderSpan.classList.add('sender'); // 添加 CSS 类名

                var messageContentSpan = document.createElement('span');
                messageContentSpan.textContent = message.message;

                messageDiv.appendChild(senderSpan);
                messageDiv.appendChild(messageContentSpan);
                chatBox.appendChild(messageDiv);
            });
            chatBox.scrollTop = chatBox.scrollHeight; // 滚动到最新消息
        }
    };
    xhr.send();
}

// 发送消息函数
function sendMessage() {
    var messageInput = document.getElementById('message');
    var message = messageInput.value;
    var receiverId = 1; // 需要根据实际情况设置接收者ID
    var formData = new FormData();
    formData.append('message', message);
    formData.append('receiver_id', receiverId); // 假设接收者ID

    var xhr = new XMLHttpRequest();
    xhr.open('POST', 'http://localhost/zhushou/Logic/send_message.php', true);
    xhr.onload = function () {
        if (this.status == 200) {
            console.log(this.responseText);
            fetchMessages(); // 发送消息后重新获取消息
            messageInput.value = ''; // 清空输入框
        }
    };
    xhr.send(formData);
}

// ——————————————————————————————————————————————————————————————————————————————————————————————————————————————————————————————

// 页面加载完毕时获取在线用户和消息，并定时刷新
window.onload = function () {
    fetchOnlineUsers();
    fetchMessages();
    setInterval(fetchOnlineUsers, 30000); // 每30秒刷新在线用户
    setInterval(fetchMessages, 3000); // 每3秒刷新消息
};
