document.getElementById('sendButton').addEventListener('click', function() {
    var input = document.getElementById('chatInput');
    var message = input.value.trim();
    if (message) {
        appendMessage("user", message, "You");

        // Simulate bot response
        setTimeout(() => appendMessage("bot", "" + message, "Bot"), 500);

        input.value = ''; // Clear input after sending
    }
});

function appendMessage(className, text, avatarUrl, senderName) {
    var chatLog = document.getElementById('chatLog');
    var messageDiv = document.createElement('div');
    messageDiv.classList.add('message', className);

    var textDiv = document.createElement('div');
    textDiv.classList.add('text');
    textDiv.textContent = text;

    messageDiv.appendChild(textDiv);
    chatLog.appendChild(messageDiv);
    chatLog.scrollTop = chatLog.scrollHeight;

    // 隐藏背景文字
    chatLog.classList.add('has-messages');
}

// 检查是否有消息并相应地调整背景文字的显示
if (document.getElementById('chatLog').children.length > 0) {
    document.getElementById('chatLog').classList.add('has-messages');
} else {
    document.getElementById('chatLog').classList.remove('has-messages');
}


document.getElementById('chatInput').addEventListener('keypress', function(e) {
    if (e.key === 'Enter') {
        document.getElementById('sendButton').click();
        e.preventDefault(); // Prevent form from submitting
    }
});


