document.addEventListener("DOMContentLoaded", () => {
    const editButtons = document.querySelectorAll('.edit-btn');
    const addButtons = document.querySelectorAll('.add-btn');
    const modal = document.getElementById('modal');
    const modalContent = document.getElementById('modal-content');

    // 编辑按钮点击事件
    editButtons.forEach(button => {
        button.addEventListener('click', function () {
            const userId = this.getAttribute('data-id');
            // 在此处根据userId获取用户数据，并填充到模态框内容中
            modalContent.innerHTML = `
        <h2 class="text-lg font-bold mb-4">Edit User Info</h2>
        <form id="editUserForm" class="space-y-4" action="../Admin/user_manage.php" method="post">
                <input type="hidden" name="id" value="${userId}">
                <input type="hidden" name="formType" value="editInfoForm">
            <div>
                <label class="block text-sm font-medium text-gray-700" for="account">Account</label>
                <input type="text" name="account" id="account" class="mt-1 block w-full px-3 py-2 bg-white border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-blue-500 focus:border-blue-500">
            </div>
            <div>
                <label class="block text-sm font-medium text-gray-700" for="password">Password (Must at least 8 charater and include 1 Uppercase and 1 lowercase letter, and 1 special character)</label>
                <input type="password" name="password" id="password" class="mt-1 block w-full px-3 py-2 bg-white border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-blue-500 focus:border-blue-500" pattern=".{8,}" title="I told you at least 8 character!">
            </div>
            <div>
                <label class="block text-sm font-medium text-gray-700" for="tele_Num">Telephone Number</label>
                <input type="text" name="tele_Num" id="tele_Num" class="mt-1 block w-full px-3 py-2 bg-white border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-blue-500 focus:border-blue-500">
            </div>
            <div>
                <label class="block text-sm font-medium text-gray-700" for="email">Email</label>
                <input type="email" name="email" id="email" class="mt-1 block w-full px-3 py-2 bg-white border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-blue-500 focus:border-blue-500">
            </div>
            <div class="flex justify-end">
                <button type="submit" class="inline-flex items-center px-4 py-2 bg-blue-500 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-blue-700 active:bg-blue-900 focus:outline-none focus:border-blue-900 focus:ring focus:ring-blue-300 disabled:opacity-25 transition">
                    Submit
                </button>
            </div>
        </form>
        `;
            modal.classList.remove('hidden');
        });
    });

    // 增加按钮点击事件
    addButtons.forEach(button => {
        button.addEventListener('click', function () {
            modalContent.innerHTML = `
            <h2 class="text-lg font-bold mb-4">Add user</h2>
        <form id="addUserForm" class="space-y-4" action="../Admin/user_manage.php" method="post">
                <input type="hidden" name="formType" value="addUserForm">
            <div>
                <label class="block text-sm font-medium text-gray-700" for="account">Student ID</label>
                <input type="text" name="studentId" id="studentId" class="mt-1 block w-full px-3 py-2 bg-white border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-blue-500 focus:border-blue-500">
            </div>
            <div>
                <label class="block text-sm font-medium text-gray-700" for="account">Account</label>
                <input type="text" name="account" id="account" class="mt-1 block w-full px-3 py-2 bg-white border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-blue-500 focus:border-blue-500">
            </div>
            <div>
                <label class="block text-sm font-medium text-gray-700" for="password">Password</label>
                <input type="password" name="password" id="password" class="mt-1 block w-full px-3 py-2 bg-white border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-blue-500 focus:border-blue-500" pattern=".{8,}"
                           title="Password must be at least 8 characters long, including 1 uppercase letter, 1 special character.">
            </div>
            <div>
                <label class="block text-sm font-medium text-gray-700" for="tele_Num">Telephone Number</label>
                <input type="text" name="tele_Num" id="tele_Num" class="mt-1 block w-full px-3 py-2 bg-white border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-blue-500 focus:border-blue-500">
            </div>
            <div>
                <label class="block text-sm font-medium text-gray-700" for="email">Email</label>
                <input type="email" name="email" id="email" class="mt-1 block w-full px-3 py-2 bg-white border border-gray-300 rounded-md shadow-sm focus:outline-none focus:ring-blue-500 focus:border-blue-500">
            </div>
            <div class="flex justify-end">
                <button type="submit" class="inline-flex items-center px-4 py-2 bg-blue-500 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-blue-700 active:bg-blue-900 focus:outline-none focus:border-blue-900 focus:ring focus:ring-blue-300 disabled:opacity-25 transition">
                    Submit
                </button>
            </div>
        </form>
        `;
            modal.classList.remove('hidden');
        });
    });

    // 点击模态框外区域关闭模态框
    modal.addEventListener('click', function (e) {
        if (e.target === modal) {
            modal.classList.add('hidden');
        }
    });
});
