<?php
require_once '../Logic/config.php';

// Check if there is a POST request to submit the form
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Processing data submitted by the form
    if ($_POST["formType"] == "loginForm") {
        session_start(); // start a session

        // Username and password and student id retrieved from the form
        $username = $_POST['username'];
        $studentId = $_POST['studentId'];
        $password = $_POST['password'];

        $stmt = DB->prepare("SELECT * FROM user");
        $stmt->execute();
        $users = $stmt->fetchAll(PDO::FETCH_ASSOC);

        // Iterate over all users
        $loggedIn = false;
        foreach ($users as $user) {
            // Check that the username and password match
            if ($user['account'] === $username && $user['password'] === $password) {
                // Checking for user ID matches
                if ($user['id'] == $studentId) {
                    // Login successfully, perform the corresponding operation
                    $_SESSION['user_id'] = $user['id']; // Storing user IDs in the session
                    $_SESSION['user_type'] = $user['user_Type']; //Storage user type

                    // Update user's online status to 'online'
                    $updateOnlineStatus = DB->prepare("UPDATE user SET is_online = 'online' WHERE id = ?");
                    $updateOnlineStatus->execute([$user['id']]);

                    $loggedIn = true;
                    break; // exit cycle
                } else {
                    // Username and password match, but user ID does not match
                    echo "<script>alert('Student account is not in the database, please try again');</script>";
                    echo "<script>window.location.href = 'LoginPage.php';</script>";
                }
            }
        }

// 检查是否登录成功
        if ($loggedIn) {
            // 登录成功，执行相应操作
            header("Location: interface.php");
            exit; // 结束脚本执行
        } else {
            // 登录失败，显示提示消息
            echo "<script>alert('Username or password is wrong, please try again');</script>";
            echo "<script>window.location.href = 'LoginPage.php';</script>";
        }

    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>UWE Student Assistant Login</title>
    <link rel="stylesheet" href="../css/LoginPage.css">
</head>
<body>
<?php include '../Logic/translate.php'; ?>
<div class="login-container">
    <h2 class="background-text">UWE Student Assistant</h2>
    <form id="loginForm" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
        <div class="form-group">
            <label for="username">Account:</label>
            <input type="text" id="username" name="username" required>
        </div>
        <div class="form-group">
            <label for="studentId">Student ID:</label>
            <input type="text" id="studentId" name="studentId" pattern="\d{8}" required
                   title="Student ID must be 8 digits." required>
        </div>
        <div class="form-group">
            <label for="password">Password:</label>
            <input type="password" id="password" name="password" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*\W).{8,}"
                   required
                   title="Password must be at least 8 characters long, including 1 uppercase letter, 1 special character, and 1 number."
                   required>
        </div>

        <input type="hidden" name="formType" value="loginForm">
        <button type="submit">Login</button>

        <a href="register.php" id="registerLink">Don't have an account? Sign up for one!</a>
    </form>
</div>
</body>

</html>

