<?php
require_once '../Logic/config.php';
require_once '../Logic/session_start.php';

$stmt = DB->prepare("SELECT * FROM city_building");
$stmt->execute();
$buildings = $stmt->fetchAll(PDO::FETCH_ASSOC);

$stmt = DB->prepare("SELECT * FROM bus");
$stmt->execute();
$buses = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Bristol Map Overlay</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <link rel="stylesheet" href="../css/city.css">
</head>
<body>

<div id="map" style="height: 500px; width: 100%;"></div>

<div id="place-search-bar">
    <input id="place-search" type="text" placeholder="Search for places..."/>
</div>

<nav id="place-nav">
    <?php foreach ($buildings as $building): ?>
        <button class="place-btn" data-name="<?php echo htmlspecialchars($building['name']); ?>"
                data-lat="<?php echo htmlspecialchars($building['data-lat']); ?>"
                data-lng="<?php echo htmlspecialchars($building['data-lng']); ?>"
                data-opentime="<?php echo htmlspecialchars($building['openTime']); ?>"
                data-description="<?php echo htmlspecialchars($building['description']); ?>"
                data-address="<?php echo htmlspecialchars($building['address']); ?>">
            <?php echo htmlspecialchars($building['name']); ?>
        </button>
    <?php endforeach; ?>
</nav>

<div id="place-info"></div>

<div id="bus-route-info" style="padding: 20px;">
    <h2>UWE Bus information:</h2>
    <p id="bus-route-description">There are picture for First bus service through UWE:</p>
    <div id="bus-route-image-container" style="width: 100%; text-align: center;">
        <!-- 示例占位图像；请将 src 属性替换为您的图像路径 -->
        <img id="bus-route-image" src="../Data/UWE_Bus_Service.jpg" alt="Bus Route Map"
             style="max-width: 100%; height: auto;">
    </div>
    <h2>There are detail path for every bus throughing Frenchay campus:</h2>
    <table class="bus-schedule">
        <thead>
        <tr>
            <th>Service</th>
            <th>Bus Path</th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($buses as $bus): ?>
            <tr>
                <td><?php echo htmlspecialchars($bus['service']); ?></td>
                <td><?php echo htmlspecialchars($bus['bus_path']); ?></td>
            </tr>
        <?php endforeach; ?>
        </tbody>
    </table>

    <div id="google_translate_element"></div>
</div>


<!--<a href="interface.php" id="return-home-btn"><i class="fas fa-arrow-left"></i></a>-->

<script src="../Logic/city.js"></script>
</body>
</html>
