<?php
require_once '../Logic/session_start.php';
require_once '../Logic/config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if ($_POST["formType"] == "feedbackForm") {
        $student_id = $_SESSION['user_id'];
        $feedback = $_POST['questions'];

        $sql = "INSERT INTO feedback(student_id, feedback) VALUES (?, ?)";
        $stmt = DB->prepare($sql);
        $stmt->execute([$student_id, $feedback]);

        echo "<script>alert('Thank you for your feedback!');</script>";
    }

}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Chat Interface with Aligned Messages</title>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
    <link rel="stylesheet" href="../css/interface.css">
</head>
<body>
<?php include '../Logic/translate.php'; ?>

<div id="appContainer">

<!--    <div id="topbar">-->
<!--        <div id="logo">UWE Student Assistant</div>-->
<!--    </div>-->

    <div id="sidebar">
        <a href="#" class="sidebar-item" target="contentFrame" data-src="map.php">Around Frenchay Campus</a>
        <a href="#" class="sidebar-item" target="contentFrame" data-src="city.php">Around Bristol</a>
        <a href="#" class="sidebar-item" target="contentFrame" data-src="chatbotpage.php">Ask Chat bot</a>
        <a href="#" class="sidebar-item" target="contentFrame" data-src="chatPage.php">Campus Voices</a>
        <a href="#" class="sidebar-item" target="contentFrame" data-src="settings.php">User Profile</a>
        <?php
        if (isset($userType) && $userType === 'admin') {
            echo '<a href="../Admin/admin_page.php" class="sidebar-item" target="contentFrame">Admin Page</a>';
        }
        ?>
<!--        feedback button-->
        <button id="emailButton" class="bg-grey-500 p-4 rounded-full text-white">
            <i class="fas fa-envelope"></i>
        </button>
    </div>

    <div id="chatContainer">
        <iframe id="contentFrame" src="chatbotpage.php" style="width: 100%; height: 100%; border: none;"></iframe>
    </div>
</div>

<!--模态框-->
<div id="emailModal" class="fixed inset-0 bg-gray-600 bg-opacity-50 hidden justify-center items-center" style="display: none;">
    <div class="bg-white p-4 rounded-lg shadow-lg w-1/3">
        <form id="emailForm" method="post" action="interface.php">
            <input type="hidden" name="formType" value="feedbackForm">
            <input type="hidden" name="id" value="<?php echo $_SESSION['user_id'] ?>">
            <div class="mb-4">
                <label for="userEmail" class="block text-gray-700 text-sm font-bold mb-2">Your Requirements:</label>
                <textarea id="questions" name="questions" class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline" required></textarea>
            </div>
            <button type="submit" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline">
                Submit
            </button>
        </form>
    </div>
</div>


<script>
    document.querySelectorAll('a').forEach(link => {
        link.addEventListener('click', function(event) {
            if (this.hasAttribute('data-src')) {
                event.preventDefault();
                document.getElementById('contentFrame').src = this.getAttribute('data-src');
            }
        });
    });

    document.getElementById('emailButton').addEventListener('click', function() {
        document.getElementById('emailModal').style.display = 'flex'; // 显示模态框
    });

    document.getElementById('emailForm').addEventListener('submit', function(event) {
        // event.preventDefault();
        // 这里可以添加发送邮件的JavaScript逻辑
        document.getElementById('emailModal').style.display = 'none'; // 隐藏模态框
        // 可选：在这里处理表单数据
    });

    // 添加点击模态框背景关闭模态框的逻辑
    document.getElementById('emailModal').addEventListener('click', function(event) {
        // 检查点击事件是否在模态框背景上发生
        if (event.target === this) {
            this.style.display = 'none'; // 隐藏模态框
        }
    });

    // 阻止模态框内容区域的点击事件冒泡到背景层
    document.querySelector('#emailModal > div').addEventListener('click', function(event) {
        event.stopPropagation();
    });
</script>
</body>
</html>
