<?php
require_once '../Logic/config.php';
require_once '../Logic/session_start.php';

$stmt = DB->prepare("SELECT * FROM building");
$stmt->execute();
$buildings = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>School Map Overlay</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <link rel="stylesheet" href="../css/map.css?version=1.2">
</head>
<body>

<div id="map" style="height: 500px; width: 100%;"></div>

<div id="place-search-bar">
    <input id="place-search" type="text" placeholder="Search for places..."/>
</div>

<nav id="place-nav">
    <?php foreach ($buildings as $building): ?>
        <button class="place-btn" data-name="<?php echo htmlspecialchars($building['name']); ?>"
                data-lat="<?php echo htmlspecialchars($building['data-lat']); ?>"
                data-lng="<?php echo htmlspecialchars($building['data-lng']); ?>"
                data-opentime="<?php echo htmlspecialchars($building['openTime']); ?>"
                data-description="<?php echo htmlspecialchars($building['description']); ?>">
            <?php echo htmlspecialchars($building['name']); ?>
        </button>
    <?php endforeach; ?>
</nav>

<div id="place-info"></div>

<!--<a href="interface.php" id="return-home-btn"><i class="fas fa-arrow-left"></i></a>-->

<script src="../Logic/map.js"></script>
</body>
</html>
