<?php
require_once '../Logic/config.php';

// 检查是否有POST请求提交表单
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
// 处理表单提交的数据
    if ($_POST["formType"] == "registerForm") {
        session_start(); // 启动会话

        // 表单中获取的用户名和密码和学生id
        $account = $_POST['account'];
        $studentId = $_POST['studentId'];
        $password = $_POST['password'];
        $confirm_password = $_POST['confirm_password'];
        $teleNumber = $_POST['teleNumber'];

        // 检查用户表中是否已存在相同ID的学生
        $stmt = DB->prepare("SELECT * FROM user WHERE id = ?");
        $stmt->execute([$studentId]);
        $existingUser = $stmt->fetch(PDO::FETCH_ASSOC);

        if ($existingUser) {
            // 学生已存在，提示用户已注册
            echo "<script>alert('You are already registered');</script>";
            echo "<script>window.location.href = 'LoginPage.php';</script>";
            exit;
        }

        //判断密码是否相同
        if ($password != $confirm_password) {
            echo "<script>alert('The password does not match the OK password!');</script>";
            echo "<script>window.location.href = 'register.php';</script>";
            exit;
        }

        $stmt = DB->prepare("SELECT * FROM student");
        $stmt->execute();
        $students = $stmt->fetchAll(PDO::FETCH_ASSOC);

        $match = false; // 用于标记是否找到匹配的学生

        foreach ($students as $student) {
            if ((string)$student['id'] == $studentId) {
                $match = true; // 找到匹配的学生
                $_SESSION['user_id'] = $student['id']; // 将用户 ID 存储在会话中
                //在数据库中创建新用户
                $sql = "INSERT INTO user(user_Name, user_Major, enrollment_Year, email, account, password, tele_Num, id, user_Type) VALUES (?, ?, ?, ?, ?, ?, ?, ?, 'user')";
                $stmt = DB->prepare($sql);
                $stmt->execute([$student['student_name'], $student['major'], $student['enrollment_year'], $student['email'], $account, $password, $teleNumber, $studentId]);

                $sql = "INSERT INTO avatar(id) VALUES (?)";
                $stmt = DB->prepare($sql);
                $stmt->execute([$studentId]);

                echo "<script>window.location.href = 'LoginPage.php';</script>";
                exit;
            }
        }

        // 循环结束后，检查是否找到匹配的学生
        if (!$match) {
            // 注册失败，显示提示消息
            echo "<script>alert('Sorry, you are not a student/teacher at this school');</script>";
            echo "<script>window.location.href = 'register.php';</script>";
            exit;
        }
    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Registration</title>
    <link rel="stylesheet" href="../css/register.css">
</head>
<body>
<?php include '../Logic/translate.php'; ?>

<div class="container">
    <div class="left">
        <div class="left-content">
            <h1>Welcome to New International Student Helper</h1>
            <h2>Bridging Cultures, Empowering Students - Your Guide to UWE & Bristol Life!</h2>
            <h3>Feel free to explore our services!</h3>
        </div>
    </div>
    <div class="right">
        <div class="form-container">
            <h2>Register</h2>
            <form id="registerForm" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" οnsubmit="return on_submit()">
                <div class="form-group">
                    <input type="text" name="account" placeholder="Account" required>
                </div>
                <div class="form-group">
                    <input type="password" id="password" name="password" placeholder="Password"
                           pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?=.*\W).{8,}" required
                           title="Password must be at least 8 characters long, including 1 uppercase letter, 1 special character, and 1 number."
                           required>
                </div>
                <div class="form-group">
                    <input type="password" id="confirm_password" name="confirm_password" placeholder="Confirm Password"
                           required>
                    <span id="password_match_message"></span>
                </div>
                <div class="form-group">
                    <input type="text" id="studentId" name="studentId" placeholder="Your student ID" pattern="\d{8}"
                           required title="Student ID must be 8 digits." required>
                </div>
                <div class="form-group">
                    <input type="text" id="teleNumber" name="teleNumber" placeholder="Telephone Number" required>
                </div>
                <div class="form-group">
                    <input type="hidden" name="formType" value="registerForm">
                    <button type="submit">Register</button>
                </div>
                <div class="form-group">
                    <a href="LoginPage.php">Already have an account? Go log in!</a>
                </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>

